%define _phplib %{_libdir}/php
%define _extdir %{_phplib}/extensions

Summary: OCI8 database php extension
Summary(ko): php OCI8 확장 모듈
Name: php-oci8
Version: 5.3.27
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: oci8-%{version}.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: phpapi oracle-instantclient12.1-basiclite > 12.0
BuildRequires: php-devel oracle-instantclient12.1-devel > 12.0
AutoReqProv: no

%description
OCI8 database php extension

%prep
%setup -q -n oci8

%build

/usr/bin/phpize

CFLAGS="${RPM_OPT_FLAGS}"
./configure \
%ifarch x86_64
	--with-oci8=instantclient,/usr/lib/oracle/12.1/client64/lib
%else
	--with-oci8=instantclient,/usr/lib/oracle/12.1/client/lib
%endif

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/oci8.so %{buildroot}%{_extdir}/oci8.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d/{apache,cli}
for i in apache cli
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php.d/$i/oci8.ini <<EOF
extension = oci8.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/oci8.so
%config(noreplace) %{_sysconfdir}/php.d/apache/oci8.ini
%config(noreplace) %{_sysconfdir}/php.d/cli/oci8.ini

%changelog
* Tue Sep 10 2013 JoungKyun.Kim <http://oops.org> 1:5.3.27-1%{?dist}
- packaged 5.3.27 oci extension
- link with oracle-instantclient12.1

